---
title: GTIN/ISBN/UPC to Item ID Lookups
slug: bluecartapi/walmart-product-data-api/reference/gtin-upc-to-walmart-item-id
docTags: 
createdAt: 2024-07-27T17:51:31.976Z
---

# GTIN/ISBN/UPC to Walmart Item ID Lookups

BlueCart API allows you to retrieve Walmart Product Data by GTIN, ISBN or UPC code when making a  `type=product`  query. There is no additional charge for this service.

To lookup Walmart Product Data by GTIN, ISBN or UPC code you simply use the  `gtin`  parameter instead of the  `item_id`  when making a  `type=product`  request.

When the  `gtin`  parameter is supplied BlueCart will attempt to look up the GTIN/ISBN/UPC on Walmart before then retrieving product details for the resultant  `item_id` .

`type=product&gtin=070330682719`

The full Walmart Product Data API request would be:

:::CodeblockTabs
HTTP

```none
https://api.bluecartapi.com/request?api_key=demo&type=product&gtin=070330682719
```
:::

***

**Next Steps**
     [Getting Started](https://docs.trajectdata.com/bluecartapi/walmart-product-data-api/overview)
     [Request Parameters](https://docs.trajectdata.com/bluecartapi/walmart-product-data-api/parameters/common)
